Subject: [IETFMIBS] IANA maintained MIB

From: Jeffrey Haas <[email-masked]>
Date: Tue, 19 Nov 2013 12:34:07 -0500

I'm in the midst of doing my document shepherd work for the BFD TC MIB
(draft-ietf-bfd-tc-mib).  And yes, I caught the syntax error and have
requested the authors to fix it. :-)

One motivation to split this TC MIB off was the long term desire to make
this an IANA maintained MIB - a detail which had remained in one of my old
emails but hadn't received follow-up until now.  As I work through the
checklist and the commentary in RFC 5226, I find that I'm still not quite
certain what we'd need to change either the draft or the IANA
requests in order to properly make this an IANA maintained MIB.
Policy-wise, IETF Review is the likely appropriate thing to do.

Can someone recommend either a relatively recent RFC/draft that puts a TC
MIB into IANA Maintenance or alternatively lend a hand and suggest some text
for the BFD TC MIB draft?

Thanks,

-- Jeff (for the BFD WG)

---

From: t.petch <[email-masked]>
Date: Tue, 19 Nov 2013 18:19:11 +0000

Jeff

Have you looked at 'IANA Maintained MIBs' on the IANA website?  That has
most if not all the ones I know about.

Tom Petch

----- Original Message -----
From: "Jeffrey Haas" <[email-masked]>
To: <[email-masked]>
Cc: "Nobo Akiya (nobo)" <[email-masked]>
Sent: Tuesday, November 19, 2013 5:34 PM
Subject: [IETFMIBS] IANA maintained MIB

> _______________________________________________
> IETFMIBS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietfmibs
>

---

From: Jeffrey Haas <[email-masked]>
Date: Tue, 19 Nov 2013 13:30:32 -0500

Tom,

> most if not all the ones I know about.

Thanks for the referral.  I had somehow missed that link the first time I
went looking for this on the IANA site.

Picking a couple of recent examples (e.g. entity mib), it appears that the
procedure is roughly:
- Ensure the IANA related copyright I had found early is present in the MIB
  description. (ref http://www.ietf.org/old/2009/copyrights/ianamib.html)
- In IANA considerations, note review policy, the module name and the usual
  request for an OID assignment.

What's not clear is if the IANA- prefix is a requirement for the TCs that
the BFD MIBs are creating.

-- Jeff

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 19 Nov 2013 18:31:11 -0000

Jeff,

My poster child is RFC 4802. This one I am familiar with as co-author, so I am
happy to answer questions related to it.

You'll also get good help from Michelle if you ask IANA any questions.

A

> -----Original Message-----
> From: IETFMIBS [mailto:[email-masked]] On Behalf Of t.petch
> Sent: 19 November 2013 18:19
> To: Jeffrey Haas; [email-masked]
> Cc: Nobo Akiya (nobo)
> Subject: Re: [IETFMIBS] IANA maintained MIB
> 
> Jeff
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 19 Nov 2013 21:50:51 -0000

I don't know about *need* but it seems like a really good idea.

Any reason not to?

A

> From: Nobo Akiya (nobo) [mailto:[email-masked]]
> Sent: 19 November 2013 21:21
> To: [email-masked]; 't.petch'; 'Jeffrey Haas'; [email-masked]
> Subject: RE: [IETFMIBS] IANA maintained MIB
> 
> Hi Adrian, Jeff, Tom, et al,
> 
> Thank you for response on this thread.
> 
> We will mimic contents from RFC 4802.
> 
> One remaining question.
> 
> 1. [snip from Jeff's email]
> 
the BFD
> MIBs are creating.
> 
> Meaning, does TC MIB OID need to start with "IANA" ... i.e. "IANAFooBar"?
> 
> Thanks,
> Nobo
> 
> > From: Adrian Farrel [mailto:[email-masked]]
> > Sent: Tuesday, November 19, 2013 1:31 PM
> > To: 't.petch'; 'Jeffrey Haas'; [email-masked]
> > Cc: Nobo Akiya (nobo)
> > Subject: RE: [IETFMIBS] IANA maintained MIB
> >
> > Jeff,
> >
> > > Have you looked at 'IANA Maintained MIBs' on the IANA website?  That
> > > has most if not all the ones I know about.
> > >
> > > Tom Petch
> > >
> > >
> > > > I'm in the midst of doing my document shepherd work for the BFD TC
> > > > MIB (draft-ietf-bfd-tc-mib).  And yes, I caught the syntax error and
> > > > have requested the authors to fix it. :-)
> > > >
> > > > this an IANA maintained MIB - a detail which had remained in one of
> > > > my
> > > old
> > > > emails but hadn't received follow-up until now.  As I work through
> > > > the checklist and the commentary in RFC 5226, I find that I'm still
> > > > not
> > > quite
> > > > Can someone recommend either a relatively recent RFC/draft that puts
> > > > a
> > > TC

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 19 Nov 2013 23:58:53 +0100

> the BFD MIBs are creating.

It does not hurt. What I personally find also really useful is to have
the module name begin with IANA- (most IANA modules do, the exceptions
prove the rule). (If all SMI parsers out there would properly resolve
name clashes using module names, the IANA prefix for TCs etc would not
be needed but the reality is not perfect.)

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 20 Nov 2013 09:20:59 +0000

Hi,

I do not find any reason -- not to -- either. 

I do have some comments and answers to the questions in this discussion. 

1. An IANA maintained MIB is basically an IANA registry. The document that defines should include a non-empty IANA considerations section defining the root allocation for the MIB module, and the RFC 5226 policy for adding new entries. The last example I was involved with is RFC 6933 which changed the former PhysicalClass TC in the previous versions of the Entity MIB into a new IANA-maintained TC called IANAPhysicalClass.
2. I personally believe that Expert Review would be sufficient. The 'cost' is just nominating one or two experts to help IANA when new requests hit their desk vs. writing for each new entry or set of entries an RFC that must shepherded through the IESG as AD Sponsored or IETF WG Documents as required by IETF Review policy. Is there a strong reason to involve all the IETF (like in the IETF Review policy) when new values are added to the enumeration in the TC? 
3. It is wise to follow Juergen's advice and prefix by iana the future TC name. 

Regards,

Dan

> From: IETFMIBS [mailto:[email-masked]] On Behalf Of Adrian
> Farrel
> Sent: Tuesday, November 19, 2013 11:51 PM
> To: 'Nobo Akiya (nobo)'; 't.petch'; 'Jeffrey Haas'; [email-masked]
> > > My poster child is RFC 4802. This one I am familiar with as
> > > co-author, so I
> am
> > > > Have you looked at 'IANA Maintained MIBs' on the IANA website?
> > > > That has most if not all the ones I know about.
> > > >
> > > > Tom Petch
> > > >
> > > >
> > > > > I'm in the midst of doing my document shepherd work for the BFD
> > > > > TC MIB (draft-ietf-bfd-tc-mib).  And yes, I caught the syntax
> > > > > error and have requested the authors to fix it. :-)
> > > > >
> > > > > One motivation to split this TC MIB off was the long term desire
> > > > > to
> > > > make
> > > > > this an IANA maintained MIB - a detail which had remained in one
> > > > > of my
> > > > old
> > > > > emails but hadn't received follow-up until now.  As I work
> > > > > through the checklist and the commentary in RFC 5226, I find
> > > > > that I'm still not
> > > > quite
> > > > > Can someone recommend either a relatively recent RFC/draft that
> > > > > puts a
> > > > TC
> > > > > MIB into IANA Maintenance or alternatively lend a hand and
> > > > > suggest
> > > > some text

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Tue, 19 Nov 2013 21:21:26 +0000

One remaining question.

> What's not clear is if the IANA- prefix is a requirement for the TCs that the BFD MIBs are creating.

Thanks,
Nobo

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Tue, 19 Nov 2013 22:04:39 +0000

Hi Adrian,

> I don't know about *need* but it seems like a really good idea.

Ok, thanks for the input.

> Any reason not to?

Not really, just needed a reason to churn the documents.

Thanks,
Nobo

> Sent: Tuesday, November 19, 2013 4:51 PM
> To: Nobo Akiya (nobo); 't.petch'; 'Jeffrey Haas'; [email-masked]

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Tue, 19 Nov 2013 23:08:44 +0000

Thanks Juergen. Will make changes accordingly to BFD [TC] MIB docs.

Thanks,
Nobo

> From: Juergen Schoenwaelder [mailto:j.schoenwaelder@jacobs-
> university.de]
> Sent: Tuesday, November 19, 2013 5:59 PM
> To: Jeffrey Haas
> Cc: t.petch; Nobo Akiya (nobo); [email-masked]
> It does not hurt. What I personally find also really useful is to have the
> module name begin with IANA- (most IANA modules do, the exceptions
> prove the rule). (If all SMI parsers out there would properly resolve name
> clashes using module names, the IANA prefix for TCs etc would not be
> needed but the reality is not perfect.)
> 
> /js
> 
> --

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 20 Nov 2013 11:08:07 +0100

> Meaning, does TC MIB OID need to start with "IANA" ... i.e. "IANAFooBar"?

The name (aka descriptor) of the TC should start with IANA. A TC does
not have an OID assigned (but I guess you meant this).

/js

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Wed, 20 Nov 2013 14:22:33 +0000

Hi Dan, Juergen,

Thanks again!

I have made [what I believe to be] necessary changes as you guys suggested. I will work with Shepherd (Jeff) to progress the documents.

Thanks,
Nobo

P.S. Thanks Jeff, for initiating this thread :)

> From: Romascanu, Dan (Dan) [mailto:[email-masked]]
> Sent: Wednesday, November 20, 2013 4:21 AM
> To: [email-masked]; Nobo Akiya (nobo); 't.petch'; 'Jeffrey Haas';
> [email-masked]
> 1. An IANA maintained MIB is basically an IANA registry. The document that
> defines should include a non-empty IANA considerations section defining
> the root allocation for the MIB module, and the RFC 5226 policy for adding
> new entries. The last example I was involved with is RFC 6933 which
> changed the former PhysicalClass TC in the previous versions of the Entity
> MIB into a new IANA-maintained TC called IANAPhysicalClass.
> 2. I personally believe that Expert Review would be sufficient. The 'cost' is
> just nominating one or two experts to help IANA when new requests hit
> their desk vs. writing for each new entry or set of entries an RFC that must
> shepherded through the IESG as AD Sponsored or IETF WG Documents as
> required by IETF Review policy. Is there a strong reason to involve all the
> IETF (like in the IETF Review policy) when new values are added to the
> enumeration in the TC?
> > > > > > I'm in the midst of doing my document shepherd work for the
> > > > > > BFD TC MIB (draft-ietf-bfd-tc-mib).  And yes, I caught the
> > > > > > syntax error and have requested the authors to fix it. :-)
> > > > > >
> > > > > > One motivation to split this TC MIB off was the long term
> > > > > > desire to
> > > > > make
> > > > > > this an IANA maintained MIB - a detail which had remained in
> > > > > > one of my
> > > > > old
> > > > > > Can someone recommend either a relatively recent RFC/draft
> > > > > > that puts a
> > > > > TC